package perlClientExample;
import org.apache.xmlrpc.XmlRpcClientLite;
import java.util.*;

public class XmlRpcClientExample {
    
    public XmlRpcClientExample() { }
    
    private static final String SERVER_URL = "http://192.168.1.101:8080/server.pl";
    
    public String say_hello() {
        String retVal = "NaN";
        try {
            XmlRpcClientLite xmlrpc = new XmlRpcClientLite(SERVER_URL);
            String methodName = "PerlSystemFacade.say_hello";
            Vector params = new Vector(0);

            retVal = (String) xmlrpc.execute( methodName, params );       
        }
        catch (Exception e) {
            e.printStackTrace();
        }
        return retVal;
    }
     
    public Object echo_args() {
        Object retVal = new Vector();
        try {
            XmlRpcClientLite xmlrpc = new XmlRpcClientLite(SERVER_URL);
            String methodName = "PerlSystemFacade.echo_args";
            Vector params = new Vector(2);
            Hashtable hashArg = new Hashtable();
            hashArg.put("SessionID",  "TestSessionIDValue");
            hashArg.put("ClientIP", "10.1.1.22");
            params.add( hashArg );
            
            retVal = xmlrpc.execute( methodName, params );      
        }
        catch (Exception e) {
            e.printStackTrace();
        }
        return retVal;
    }
    
    public static void main(String[] args) {
        XmlRpcClientExample  x  =  new XmlRpcClientExample();
        System.out.println ("Output from say_hello() : " +  x.say_hello().toString() );
        System.out.println ("Output from echo_args() : " +  x.echo_args().toString() );
    }
}